> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the specified entity



## OpenAPI

````yaml /api-reference/4.2/service-custom-rule-type-crud.json get /custom-rule-types/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service custom-rule-type-crud
servers:
  - url: /api/apollo/
security: []
tags:
  - name: custom-rule-type-crud
paths:
  /custom-rule-types/{id}:
    get:
      tags:
        - 4.2 Custom Rules API
      summary: Get the specified entity
      operationId: getEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string

````